@echo off
if %2x==x goto NOTE1
if exist %1\lp.* goto START
echo.
echo LP software not found in %1!
echo.
goto end

:START
echo Installing the LP software.
echo.
copy %1\lp.bat   %2
if not exist %2\lp.bat goto NOTE2
echo Creating %2\LM subdirectory.
echo.
md %2\lm

echo Copying files from %1 to %2
echo.
copy %1\ %2\LM
if exist %2\LM\esfmicr.*  del %2\LM\esfmicr.*>nul
if exist %2\esfmicr.*     del %2\esfmicr.*>nul
echo.
if exist %2\lm\lp.* goto NOTE3
echo ************************** LP Installation failure! *************************
goto end

:NOTE1
echo =============================================================================
echo This utility can install your LP software automatically.  To use it you
echo must tell it two things:
echo.
echo 1.  Where the LP software is, and
echo 2.  Where your Pacioli software is.
echo.
echo For example, if the LP software is still in floppy drive A: and Pacioli
echo is in D:\pacioli, then you should type:                  --
echo       ----------
echo.
echo A:INSTALL A: D:\pacioli
echo --        -- ----------
echo.
echo The utility will then create a d:\pacioli\lm subdirectory and copy all of
echo the LP software there.  Then it will copy the file LP.BAT into your D:\pacioli
echo directory.  When it is done your D:\pacioli directory will have only two new
echo entries, the LM subdirectory and LP.BAT.
echo =============================================================================

goto end

:NOTE2
echo =============================================================================
echo Installation FAILURE --- Could not copy into directory %2!
echo =============================================================================

goto end

:NOTE3
echo *************************** LP is now installed! ****************************
pause
echo.
echo =============================================================================
echo If you decide to remove LP you need only follow these steps:
echo.
echo CD %2
echo DEL LP.BAT
echo DEL LM
echo RD  LM
echo.
echo To use the LP software enter:
echo.
echo CD %2
echo LP
echo.
echo Enjoy!
echo =============================================================================

goto end

:end
